Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Interface TypedInstruction

All Known Subinterfaces:
  ConstantPushInstruction

All Known Implementing Classes:
  AALOAD, AASTORE, ACONST_NULL, ALOAD, ANEWARRAY, ARETURN, ArithmeticInstruction, ArrayInstruction, ASTORE, BALOAD, BASTORE, BIPUSH, CALOAD, CASTORE, CHECKCAST, ConversionInstruction, CPInstruction, D2F, D2I, D2L, DADD, DALOAD, DASTORE, DCMPG, DCMPL, DCONST, DDIV, DLOAD, DMUL, DNEG, DREM, DRETURN, DSTORE, DSUB, F2D, F2I, F2L, FADD, FALOAD, FASTORE, FCMPG, FCMPL, FCONST, FDIV, FieldInstruction, FieldOrMethod, FLOAD, FMUL, FNEG, FREM, FRETURN, FSTORE, FSUB, GETFIELD, GETSTATIC, I2B, I2C, I2D, I2F, I2L, I2S, IADD, IALOAD, IAND, IASTORE, ICONST, IDIV, IINC, ILOAD, IMUL, INEG, INSTANCEOF, InvokeInstruction, INVOKEINTERFACE, INVOKESPECIAL, INVOKESTATIC, INVOKEVIRTUAL, IOR, IREM, IRETURN, ISHL, ISHR, ISTORE, ISUB, IUSHR, IXOR, JSR, JSR_W, JsrInstruction, L2D, L2F, L2I, LADD, LALOAD, LAND, LASTORE, LCMP, LCONST, LDC, LDC_W, LDC2_W, LDIV, LLOAD, LMUL, LNEG, LoadInstruction, LocalVariableInstruction, LOR, LREM, LRETURN, LSHL, LSHR, LSTORE, LSUB, LUSHR, LXOR, MULTIANEWARRAY, NEW, PUTFIELD, PUTSTATIC, RET, RETURN, ReturnInstruction, SALOAD, SASTORE, SIPUSH, StoreInstruction

    public interface TypedInstruction

Get the type associated with an instruction, int for ILOAD, or the type of the field of a PUTFIELD instruction, e.g..

Version:
  $Id: TypedInstruction.java 386056 2006-03-15 11:31:56Z tcurdt $

Method Summary
`Type` | `getType(ConstantPoolGen cpg)`

Method Detail

### getType

    Type getType(ConstantPoolGen cpg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.